pro get_version, parentdir=parentdir, silent=silent, vers=vers


;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;;; copyright 2007-2011 H\'el\`ene Roussel
;;; roussel@iap.fr
;;; Institut d'Astrophysique de Paris - Universit\'e Pierre et Marie Curie, France

;;; download and documentation: http://www2.iap.fr/users/roussel/herschel/

;;; Scanamorphos is distributed under the terms of the GNU General Public License
;;; (http://www.gnu.org/licenses/gpl.html).

;;; July 2010: public release version 1

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



nc = strlen(parentdir)
if strmid(parentdir, nc-1) ne '/' then parentdir = parentdir + '/'
dir_scanmap = parentdir + 'SCANAMORPHOS/'
dir_cal = dir_scanmap + 'calib/spire/'
file_ver = 'version.xdr'
file_gains = 'relative_gains_PSW.xdr'

restore, dir_scanmap + file_ver
vers = strtrim(strmid(version, 0, 5), 2)

if (not keyword_set(silent)) then begin
   print, ''
   print, 'running Scanamorphos ' + version

   restore, dir_cal + file_gains
   print, 'flux calibration set used for SPIRE gains: ' + version
   print, ''
endif


end
