pro load_mapcol


;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;;; copyright 2007-2011 H\'el\`ene Roussel
;;; roussel@iap.fr
;;; Institut d'Astrophysique de Paris - Universit\'e Pierre et Marie Curie, France

;;; download and documentation: http://www2.iap.fr/users/roussel/herschel/

;;; Scanamorphos is distributed under the terms of the GNU General Public License
;;; (http://www.gnu.org/licenses/gpl.html).

;;; July 2010: public release version 1

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



rgb = bytarr(256, 3)
rgb(255, *) = [255, 255, 255]   ;;; white
rgb(235, *) = [255, 109, 142]   ;;; pink
rgb(215, *) = [255, 52, 61]     ;;; red
rgb(200, *) = [178, 34, 34]     ;;; dark red
rgb(180, *) = [190, 70, 70]     ;;; brick
rgb(160, *) = [255, 131, 47]    ;;; orange
rgb(140, *) = [255, 190, 0]     ;;; orange-yellow
rgb(120, *) = [255, 255, 0]     ;;; lemon yellow
rgb(100, *) = [150, 220, 76]    ;;; light green
rgb(80, *) = [120, 184, 104]    ;;; dull green
rgb(70, *) = [0, 145, 155]      ;;; blue-green
rgb(60, *) = [0, 87, 173]       ;;; dark blue
rgb(45, *) = [100, 140, 200]    ;;; light blue
rgb(35, *) = [160, 85, 180]     ;;; light purple
rgb(20, *) = [77, 41, 139]      ;;; purple
rgb(10, *) = [124, 102, 121]    ;;; purple-grey
rgb(5, *) = [91, 71, 65]        ;;; dark brown
rgb(0, *) = [0, 0, 0]           ;;; black

x = [0, 5, 10, 20, 35, 45, 60, 70, 80, 100, 120, 140, 160, 180, 200, 215, 235, 255]
for i = 0, 2 do rgb(*, i) = interpol(rgb(x, i), x, indgen(256))

tvlct, rgb


end
