pro clean_log, file=file


;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;;; copyright 2007-2011 H\'el\`ene Roussel
;;; roussel@iap.fr
;;; Institut d'Astrophysique de Paris - Universit\'e Pierre et Marie Curie, France

;;; download and documentation: http://www2.iap.fr/users/roussel/herschel/

;;; Scanamorphos is distributed under the terms of the GNU General Public License
;;; (http://www.gnu.org/licenses/gpl.html).

;;; introduced August 2011: version 12

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



file_temp = file + '_tempo'
line = ''

openr, 1, file
openw, 2, file_temp
repeat begin
   readf, 1, format='(A)', line
   pos = strpos(line, ';')
   if pos eq 0 then line = strmid(line, 1)

   pos = 0
   while pos ge 0 do begin
      pos = strpos(line, '<cr>')
      if pos eq 0 then line = strmid(line, 1)
      if pos gt 0 then line = strmid(line, 0, pos)
   endwhile
   printf, 2, format='(A)', line
endrep until eof(1)
close, 1
close, 2

file_move, file_temp, file, /overwrite


end
