function find_all_regex, str, regexpr


;;; returns all occurrences of given regular expression in string

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;;; copyright 2007-2011 H\'el\`ene Roussel
;;; roussel@iap.fr
;;; Institut d'Astrophysique de Paris - Universit\'e Pierre et Marie Curie, France

;;; download and documentation: http://www2.iap.fr/users/roussel/herschel/

;;; Scanamorphos is distributed under the terms of the GNU General Public License
;;; (http://www.gnu.org/licenses/gpl.html).

;;; July 2010: public release version 1

;;;;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



str_rest = str
match = ''
repeat begin
   pos = stregex(str_rest, regexpr, length=len)
   match = [match, strmid(str_rest, pos, len)]
   n = strlen(str_rest)
   if pos + len lt n then str_end = strmid(str_rest, pos + len) else str_end = ''
   if pos gt 0 then str_rest = strmid(str_rest, 0, pos) + str_end else str_rest = str_end
endrep until len lt 1
return, match(1:*)


end
